/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.io.Serializable;

/**
 * 单表生成Entity
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeHotelCompany extends BaseEntity implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private String hotelId;		// 酒店ID（自增）
	private String subBrandId;		// 子品牌ID（酒店子品牌信息表）
	private String hotelNameCn;		// 酒店名称（中文）
	private String hotelNameEn;		// 酒店名称（英文）
	private String hotelCountry;		// 酒店地址-国家/地区[三位字母代码（ISO 3166-1 alpha-3）]
	private String hotelProvince;		// 酒店地址-省（中国）
	private String hotelCity;		// 酒店地址-市（中国）
	private String hotelArea;		// 酒店地址-区（中国）
	private String hotelZipcode;		// 地址-邮编（其他国家）
	private String sortId;		// 排序字段
   
	private String hotelAddressCn;// 酒店详细地址（中文）	
	private String hotelAddressEn;// 酒店详细地址（英文）
	private double hotelLongitude;// 酒店地址-经度
	private double hotelLatitude;// 酒店地址-纬度
	
	private String hotelName;		// 酒店名称（传给前台）
	private String hotelAddress;  // 酒店详细地址（传给前台）
	
	private String international; // 国际区分[1-国际;2-国内]
	
	public MdeHotelCompany() {
		super();
	}

//	@Length(min=1, max=11, message="酒店ID（自增）长度必须介于 1 和 11 之间")
	public String getHotelId() {
		return hotelId;
	}

	public void setHotelId(String hotelId) {
		this.hotelId = hotelId;
	}
	
//	@Length(min=1, max=11, message="品牌ID（酒店品牌信息表）长度必须介于 1 和 11 之间")
	public String getSubBrandId() {
		return subBrandId;
	}

	public void setSubBrandId(String subBrandId) {
		this.subBrandId = subBrandId;
	}
	
//	@Length(min=1, max=50, message="酒店名称（中文）长度必须介于 1 和 50 之间")
	public String getHotelNameCn() {
		return hotelNameCn;
	}

	public void setHotelNameCn(String hotelNameCn) {
		this.hotelNameCn = hotelNameCn;
	}
	
//	@Length(min=1, max=100, message="酒店名称（英文）长度必须介于 1 和 100 之间")
	public String getHotelNameEn() {
		return hotelNameEn;
	}

	public void setHotelNameEn(String hotelNameEn) {
		this.hotelNameEn = hotelNameEn;
	}
	
//	@Length(min=1, max=3, message="酒店地址-国家/地区[三位字母代码（ISO 3166-1 alpha-3）]长度必须介于 1 和 3 之间")
	public String getHotelCountry() {
		return hotelCountry;
	}

	public void setHotelCountry(String hotelCountry) {
		this.hotelCountry = hotelCountry;
	}
	
//	@Length(min=0, max=6, message="酒店地址-省（中国）长度必须介于 0 和 6 之间")
	public String getHotelProvince() {
		return hotelProvince;
	}

	public void setHotelProvince(String hotelProvince) {
		this.hotelProvince = hotelProvince;
	}
	
//	@Length(min=0, max=6, message="酒店地址-市（中国）长度必须介于 0 和 6 之间")
	public String getHotelCity() {
		return hotelCity;
	}

	public void setHotelCity(String hotelCity) {
		this.hotelCity = hotelCity;
	}
	
//	@Length(min=0, max=6, message="酒店地址-区（中国）长度必须介于 0 和 6 之间")
	public String getHotelArea() {
		return hotelArea;
	}

	public void setHotelArea(String hotelArea) {
		this.hotelArea = hotelArea;
	}
	
//	@Length(min=0, max=10, message="地址-邮编（其他国家）长度必须介于 0 和 10 之间")
	public String getHotelZipcode() {
		return hotelZipcode;
	}

	public void setHotelZipcode(String hotelZipcode) {
		this.hotelZipcode = hotelZipcode;
	}
	
//	@Length(min=1, max=11, message="排序字段长度必须介于 1 和 11 之间")
	public String getSortId() {
		return sortId;
	}

	public void setSortId(String sortId) {
		this.sortId = sortId;
	}

	public String getHotelAddressCn() {
		return hotelAddressCn;
	}

	public void setHotelAddressCn(String hotelAddressCn) {
		this.hotelAddressCn = hotelAddressCn;
	}

	public String getHotelAddressEn() {
		return hotelAddressEn;
	}

	public void setHotelAddressEn(String hotelAddressEn) {
		this.hotelAddressEn = hotelAddressEn;
	}

	public double getHotelLongitude() {
		return hotelLongitude;
	}

	public void setHotelLongitude(double hotelLongitude) {
		this.hotelLongitude = hotelLongitude;
	}

	public double getHotelLatitude() {
		return hotelLatitude;
	}

	public void setHotelLatitude(double hotelLatitude) {
		this.hotelLatitude = hotelLatitude;
	}

	public String getHotelName() {
		return hotelName;
	}

	public void setHotelName(String hotelName) {
		this.hotelName = hotelName;
	}

	public String getHotelAddress() {
		return hotelAddress;
	}

	public void setHotelAddress(String hotelAddress) {
		this.hotelAddress = hotelAddress;
	}

	public String getInternational() {
		return international;
	}

	public void setInternational(String international) {
		this.international = international;
	}

}